Subject: Re: b20: problems in tempnam
From: [email-masked] (Leif Jackson)

30 Nov 1998 21:31:16 -0800
Message-ID: <[email-masked]>
References: <3.0.5.32.19981129183755.00b8e640@localhost>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
To: Henrik Frystyk Nielsen <[email-masked]>
Cc: [email-masked]

I have seen this problem before in another runtime lib I was porting what
seemed to fix it for me was to give tempnam a second arg which is the
prefix to the temp file. For some reason the implementation of tempnam
under cygwin is unable to take a null argument.

Good luck,
Leif Jackson

On Sun, 29 Nov 1998, Henrik Frystyk Nielsen wrote:

>Date: Sun, 29 Nov 1998 18:37:55 -0500
>From: Henrik Frystyk Nielsen <[email-masked]>
>To: [email-masked]
>Subject: b20: problems in tempnam
>
>
>I found a somewhat recent reference to same/similar problem in tempnam:
>
>	http://www.eGroups.com/list/gnu-win32/8225.html
>
>but that was for b19 - I have certain problems in b20 as well - tempnam
>bails out with an argument like this for example:
>
>	const char * dir = "E:\\TEMP/w3c-cache/270";
>	tempnam(dir, NULL);
>
>results in
>
>	Program received signal SIGSEGV, Segmentation fault.
>	0x61051acc in _size_of_stack_reserve__ ()
>
>It doesn't seem to matter if I change the "\\" to "/". I have a mount of E
>and have tried
>
>	const char * dir = "/E/TEMP/w3c-cache/270";
>	tempnam(dir, NULL);
>
>with the same result.
>
>Has the problem reported for b19 been fixed or am I seeing something else?
>
>Henrik
>
>PS: I now have almost all of libwww [1] running on cygwin and is very
>impressed - I have been dreaming of this for a *long* time!
>
>[1] http://www.w3.org/Library/
>	
>--
>Henrik Frystyk Nielsen,
>World Wide Web Consortium
>http://www.w3.org/People/Frystyk
>-
>For help on using this list (especially unsubscribing), send a message to
>"[email-masked]" with one line of text: "help".
>

  +-------------------------------------------------------+
  | Network Engineer & Systems programmer                 |
  | Programmer && Linux Enthusiast http://www.islenet.org |
  | ComStar Communications, Inc.   http://www.comstar.net |
  |  "Linux is NT's ultimate Service pack" - Adam Wright  |
  +-------------------------------------------------------+

PGP Key fingerprint = 6A B4 B3 F2 4B 78 64 EA  2B A7 23 98 AF EA EE 29
http://isle.comstar.net/~leif/pgpkeys.html for the full key.

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".